Udon is under active development. Documentation not final.
udonudon
Virtual machines

Import a VM image

Copy an image file that is already on this Mac into the library. Requires the **admin** role.

POST
/api/vm-images/import

Authorization

udon_session<token>

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/vm-images/import" \  -H "Content-Type: application/json" \  -d '{    "path": "string"  }'
{  "id": "string",  "name": "string",  "kind": "iso",  "fileName": "string",  "sizeBytes": 0,  "sha256": "string",  "templateID": "string",  "sourceURL": "string",  "createdAt": "2019-08-24T14:15:22Z",  "inUseBy": [    "string"  ]}

Ask AI

Answers from Udon's documentation.

Ask how to install Udon, run containers, or share folders.